var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { propEq } from 'ramda';
import { RowCollapseContext } from '../../contexts/RowCollapseContext';
import { getCellContentFromRowsData } from 'react-components/dist/Table/tableUtils';
export var CellRenderer = function (_a) {
    var columnId = _a.columnId, rowIndex = _a.rowIndex, collapseContextValue = _a.collapseContextValue, getRowHeight = _a.getRowHeight, tableRowsData = _a.tableRowsData, columnsData = _a.columnsData, getHeightForSubRow = _a.getHeightForSubRow, otherProps = __rest(_a, ["columnId", "rowIndex", "collapseContextValue", "getRowHeight", "tableRowsData", "columnsData", "getHeightForSubRow"]);
    var rowData = tableRowsData[rowIndex];
    return (React.createElement(RowCollapseContext.Provider, { value: collapseContextValue },
        React.createElement("div", __assign({}, otherProps, { style: { height: getRowHeight(rowData === null || rowData === void 0 ? void 0 : rowData.id) } }), tableRowsData.length > 0 &&
            getCellContentFromRowsData({
                columnIndex: columnsData.findIndex(propEq('id', columnId)),
                headData: columnsData,
                rowData: rowData,
                id: rowData.id,
                getHeightForSubRow: getHeightForSubRow
            }))));
};
